apiVersion: beaver.cloudcrane.io/v1alpha0
kind: Config
spec:
  # Global variables:
  # - Can be accumulated/overwritten over beaver config files
  variables:
  - name: VAULT_KV
    value: cnpp.k8s.cloudcrane.io
  ytt:
    values:
    - key: vault.kv
      value: {.VAULT_KV}
    - key: namespace
      value: {.namespace}
  charts:
    postgres:
      type: helm
      name: postgresql
      values:
        config:
          datasource:
            password: "<path:{.VAULT_KV}/data/{.namespace}/postgres#password>"
        fullnameOverride: "pg-exporter-{.namespace}"
    odoo:
      type: ytt
      name: odoo
